﻿dropdown /* Move down content because we have a fixed navbar that is 50px tall */
body {
    padding-top: 50px;
    padding-bottom: 20px;
    height: 100%;
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Set widths on the form inputs since otherwise they're 100% wide */
input,
select,
textarea {
    max-width: 280px;
}


/* Responsive: Portrait tablets and up */
@media screen and (min-width: 768px) {
    .jumbotron {
        margin-top: 20px;
    }

    .body-content {
        padding: 0;
    }
}
/*--------------------------------------------------------------------------------*/
/* DEFAULTS
----------------------------------------------------------*/

body {
    background: #FFFFFF;
    font-size: .80em;
    font-family: "Helvetica Neue", "Lucida Grande", "Segoe UI", Arial, Helvetica, Verdana, sans-serif;
    margin: 0px;
    padding: 0px;
    color: #808080;
}

a:link, a:visited {
    color: #034af3;
}

a:hover {
    color: #1d60ff;
    text-decoration: none;
}

a:active {
    color: #034af3;
}

p {
    margin-bottom: 10px;
    line-height: 1.6em;
}


/* HEADINGS   
----------------------------------------------------------*/

h1, h2, h3, h4, h5, h6 {
    font-size: 1.5em;
    color: #222120;
    font-variant: small-caps;
    text-transform: none;
    font-weight: 200;
    margin-bottom: 0px;
}

h1 {
    font-size: 1.6em;
    padding-bottom: 0px;
    margin-bottom: 0px;
}

h2 {
    font-size: 1.5em;
    font-weight: 600;
}

h3 {
    font-size: 1.2em;
}

h4 {
    font-size: 1.1em;
}

h5, h6 {
    font-size: 1em;
}

/* this rule styles <h1> and <h2> tags that are the 
first child of the left and right table columns */
.rightColumn > h1, .rightColumn > h2, .leftColumn > h1, .leftColumn > h2 {
    margin-top: 0px;
}


/* PRIMARY LAYOUT ELEMENTS   
----------------------------------------------------------*/
.page {
    width: 100%;
    background-color: #fff;
    margin: 0px auto 0px auto;
    border: 0px solid #496077;
}

.header {
    position: relative;
    margin: 0px;
    padding: 0px;
    background: #FFFFFF;
    width: 100%;
}

    .header h1 {
        font-weight: 400;
        margin: 0px;
        padding: 0px 0px 0px 20px;
        color: #222120;
        border: none;
        line-height: 2em;
        font-size: 2em;
    }

.main {
    padding: 0px 2% 0px 2%;
    margin: 12px 8px 8px 8px;
    min-height: 550px;
}

.leftCol {
    padding: 6px 0px;
    margin: 12px 8px 8px 8px;
    width: 200px;
    min-height: 200px;
}

.footer {
    color: #4e5766;
    padding: 8px 0px 10px 0px;
    margin: 0px auto;
    text-align: center;
    line-height: normal;
}


/* TAB MENU   
----------------------------------------------------------*/

div.hideSkiplink {
    background-color: #aeb1f3;
    padding: 0px 7% 0px 7%;
}

div.menu {
    padding: 4px 0px 4px 8px;
}

    div.menu ul {
        list-style: none;
        margin: 0px;
        padding: 0px;
        width: auto;
    }

        div.menu ul li a, div.menu ul li a:visited {
            background-color: #aeb1f3;
            border: 1px solid #aeb1f3;
            color: #222120;
            display: block;
            line-height: 1.35em;
            padding: 4px 15px;
            text-decoration: none;
            white-space: nowrap;
        }

            div.menu ul li a:hover {
                background-color: #9196f2;
                color: #222120;
                text-decoration: none;
            }

            div.menu ul li a:active {
                background-color: #aeb1f3;
                color: #222120;
                text-decoration: none;
            }

/* FORM ELEMENTS   
----------------------------------------------------------*/

fieldset {
    margin: 1em 0px;
    padding: 1em;
    border: 1px solid #ccc;
}

    fieldset p {
        margin: 2px 12px 10px 10px;
    }

    fieldset.login label, fieldset.register label, fieldset.changePassword label {
        display: block;
    }

    fieldset label.inline {
        display: inline;
    }

legend {
    font-size: 1.1em;
    font-weight: 600;
    padding: 2px 4px 8px 4px;
}

input.textEntry {
    width: 320px;
    border: 1px solid #ccc;
}

input.passwordEntry {
    width: 320px;
    border: 1px solid #ccc;
}

div.accountInfo {
    width: 42%;
}

/* MISC  
----------------------------------------------------------*/

.clear {
    clear: both;
}

.title {
    display: block;
    float: left;
    text-align: left;
    width: auto;
    padding: 2px 7% 0px 7%;
}

.loginDisplay {
    font-size: 1.1em;
    display: block;
    text-align: right;
    padding: 10px 7%;
    color: #aeb1f3;
}

    .loginDisplay a:link {
        color: #aeb1f3;
        font-weight: 700;
    }

    .loginDisplay a:visited {
        color: #aeb1f3;
        font-weight: 700;
    }

    .loginDisplay a:hover {
        color: #aeb1f3;
        font-weight: 700;
    }

.failureNotification {
    font-size: 1.2em;
    color: Red;
}

.bold {
    font-weight: bold;
}

.submitButton {
    text-align: right;
    padding-right: 10px;
}

table {
    border-collapse: collapse;
    width: 100%;
    font-family: "Helvetica Neue", "Lucida Grande", "Segoe UI", Arial, Helvetica, Verdana, sans-serif;
}

th, td {
    text-align: left;
    padding: 5px 0px 6px 4px;
    vertical-align: top;
    text-decoration: none;
    line-height: 1.35em;
}

tr:nth-child(even) {
    background-color: #f2f2f2;
}

th {
    background-color: #aeb1f3;
    color: #222120;
    text-decoration: none;
    line-height: 1.35em;
    font-weight: normal;
}

.buttonNew {
    color: #aeb1f3;
    font-weight: 650;
    border: 1px solid #adadad;
    border-radius: 3px;
    background-color: #FFFFFF;
    cursor: pointer;
    -webkit-appearance: none;
    text-align: center;
    line-height: 1;
    padding: 0.8em 1.2em;
    margin: 0 0 1.2rem 0;
    font-size: 0.8rem;
}

    .buttonNew:hover {
        color: #FFFFFF;
        font-weight: 650;
        border: 1px solid #9A9A9A;
        border-radius: 3px;
        background-color: #aeb1f3;
        cursor: pointer;
        -webkit-appearance: none;
        text-align: center;
        line-height: 1;
        padding: 0.8em 1.2em;
        margin: 0 0 1.2rem 0;
        font-size: 0.8rem;
    }

.buttonMini {
    color: #aeb1f3;
    font-weight: 650;
    border: 1px solid #adadad;
    border-radius: 3px;
    background-color: #FFFFFF;
    cursor: pointer;
    -webkit-appearance: none;
    text-align: center;
    line-height: 1;
    padding: 0.2em .6em;
    font-size: 0.8rem;
}

    .buttonMini:hover {
        color: #FFFFFF;
        font-weight: 650;
        border: 1px solid #9A9A9A;
        border-radius: 3px;
        background-color: #aeb1f3;
        cursor: pointer;
        -webkit-appearance: none;
        text-align: center;
        line-height: 1;
        padding: 0.2em .6em;
        font-size: 0.8rem;
    }

.dropdown {
    -webkit-appearance: none;
    -moz-appearance: none;
    text-indent: 1px;
    text-overflow: '';
    border: 0px solid;
    background-color: transparent;
}

.grid-view {
    padding: 0;
    margin: 0;
    border: 1px solid #333;
    font-family: "Helvetica Neue", "Lucida Grande", "Segoe UI", Arial, Helvetica, Verdana, sans-serif;
}

.textbox {
    border: 1px solid #999999;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    outline: 0;
    padding: 2px 5px 2px 5px;
}
/*----------------------*/

TR.LeaveCalendar {
    text-align: center;
    font-family: Verdana;
    font-size: 11px;
    font-weight: normal;
    background-color: #fbfbfb;
}

    TR.LeaveCalendar TD {
        text-align: center;
        height: 45px;
        width: 14.28%;
        padding: 5px 5px 2px 5px;
        vertical-align: middle;
        border: solid 1px black;
    }

        TR.LeaveCalendar TD SELECT {
            font-family: Verdana;
            font-size: 11px;
            text-align: center;
            width: 165px;
            border: solid 1px black;
        }

TR.LeaveCalendarHead {
    text-align: center;
    font-family: Verdana;
    font-size: 12px;
    color: black;
    font-weight: normal;
    background-color: #9A9A9A;
}

    TR.LeaveCalendarHead TD {
        text-align: center;
        height: 40px;
        width: 14.28%;
        padding: 5px 5px 2px 5px;
        vertical-align: middle;
        border: solid 1px black;
    }
